﻿using System;
using System.Collections.Generic;
using System.Linq;
using ArcToolkitCLI.Commands.Options;
using ArcToolkitCLI.Util;
using CommandLine;

namespace ArcToolkitCLI.Commands.Converters
{
    [Verb("nei", HelpText = "Convert NEI files into CSV and back")]
    class NeiConverter : IConverterCommand, IInputOptions, IOutputOptions
    {
        public int Run()
        {
            var files = Glob.EnumerateFiles(Input);

            if (!files.Any())
            {
                Console.WriteLine("No files specified. Run `convert help nei` for help.");
                return 0;
            }

            foreach (var file in files)
            {
                switch (file.Extension.ToLowerInvariant())
                {
                    case "nei":
                        ToCSV(file.FullName);
                        break;
                    case "csv":
                        ToNei(file.FullName);
                        break;
                    default:
                        Console.WriteLine($"File {file.FullName} is neither .nei nor .csv file. Skipping...");
                        break;
                }
            }

            return 0;
        }

        void ToNei(string filePath)
        {

        }

        void ToCSV(string filePath)
        {

        }

        public IEnumerable<string> Input { get; set; }
        public string Output { get; set; }
    }
}
